GET /insights/v1/events
Get events

Query Parameters

chain number[] optional query
Use chain_id instead
Example: [20,56,1]
chain_id number[] optional query
The chain ID(s) to request the data for. You can specify multiple chain IDs, up to a maximum of 55. Use repeated query parameters, e.g., `?chain_id=20&chain_id=56`. Optional, because a single chain can as well be specified as a subdomain
Example: [20,56,1]
filter_block_number number | null optional query
Example: 1000000
filter_block_number_gte number | null optional query
Example: 1000000
filter_block_number_gt number | null optional query
Example: 1000000
filter_block_number_lte number | null optional query
Example: 1000000
filter_block_number_lt number | null optional query
Example: 1000000
filter_block_hash string optional query
Example: "0x3a1fba5abd9d41457944e91ed097e039b7b12d3d7ba324a3f422db2277a48e28"
filter_block_timestamp number | null optional query
Example: 1715222400
filter_block_timestamp_gte number | null optional query
Example: 1715222400
filter_block_timestamp_gt number | null optional query
Example: 1715222400
filter_block_timestamp_lte number | null optional query
Example: 1715222400
filter_block_timestamp_lt number | null optional query
Example: 1715222400
sort_by unknown optional query
Example: "block_number"
sort_order string optional query
Example: "desc"
group_by string | null optional query
aggregate string | null optional query
Example: "count() as count"
filter_transaction_index number | null optional query
Example: 5
filter_transaction_index_gte number | null optional query
Example: 5
filter_transaction_index_gt number | null optional query
Example: 5
filter_transaction_index_lte number | null optional query
Example: 5
filter_transaction_index_lt number | null optional query
Example: 5
decode boolean | null optional query
Example: true
filter_transaction_hash string optional query
Example: "0x218b632d932371478d1ae5a01620ebab1a2030f9dad6f8fba4a044ea6335a57e"
filter_log_index number | null optional query
Example: 5
filter_log_index_gte number | null optional query
Example: 5
filter_log_index_gt number | null optional query
Example: 5
filter_log_index_lte number | null optional query
Example: 5
filter_log_index_lt number | null optional query
Example: 5
filter_topic_1 string optional query
Example: "0xa6697e974e6a320f454390be03f74955e8978f1a6971ea6730542e37b66179bc"
filter_topic_2 string optional query
Example: "0xa6697e974e6a320f454390be03f74955e8978f1a6971ea6730542e37b66179bc"
filter_topic_3 string optional query
Example: "0xa6697e974e6a320f454390be03f74955e8978f1a6971ea6730542e37b66179bc"
filter_topic_0 string optional query
Example: "0xa6697e974e6a320f454390be03f74955e8978f1a6971ea6730542e37b66179bc"
filter_address string optional query
Example: "0x5564886ca2c518d1964e5fcea4f423b41db9f561"
limit integer optional query
Example: 20
page integer | null optional query
Example: 0

Responses

200 Successful response
application/json
data object[]
Array of:
chain_id string REQUIRED
block_number number REQUIRED
block_hash string REQUIRED
block_timestamp number REQUIRED
transaction_hash string REQUIRED
transaction_index number REQUIRED
log_index number REQUIRED
address string REQUIRED
data string REQUIRED
topics string[] REQUIRED
Array of:
decoded object
name string REQUIRED
signature string REQUIRED
indexed_params object REQUIRED
non_indexed_params object REQUIRED
aggregations unknown | null
meta object REQUIRED
chain_ids number[] REQUIRED
Array of:
address string
signature string
page number REQUIRED
limit_per_chain number REQUIRED
total_items number REQUIRED
total_pages number REQUIRED
400 Bad request
500 Internal server error
curl -X GET 'https://data-api.b3.fun//insights/v1/events'
const response = await fetch('https://data-api.b3.fun//insights/v1/events', {
  method: 'GET'
});

const data = await response.json();
console.log(data);
import requests

response = requests.get('https://data-api.b3.fun//insights/v1/events')
print(response.json())
200 Response
{
  "data": [
    {
      "chain_id": "<string>",
      "block_number": 123,
      "block_hash": "<string>",
      "block_timestamp": 123,
      "transaction_hash": "<string>",
      "transaction_index": 123,
      "log_index": 123,
      "address": "<string>",
      "data": "<string>",
      "topics": [
        "<string>"
      ],
      "decoded": {
        "name": "<string>",
        "signature": "<string>",
        "indexed_params": {},
        "non_indexed_params": {}
      }
    }
  ],
  "aggregations": "<unknown>",
  "meta": {
    "chain_ids": [
      123
    ],
    "address": "<string>",
    "signature": "<string>",
    "page": 123,
    "limit_per_chain": 123,
    "total_items": 123,
    "total_pages": 123
  }
}
GET /insights/v1/events
Ask a question... ⌘I